GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Enumerations
status.h File Reference

Go to the source code of this file.

## Enumerations
enum | grpc_status_code { GRPC_STATUS_OK = 0, GRPC_STATUS_CANCELLED = 1, GRPC_STATUS_UNKNOWN = 2, GRPC_STATUS_INVALID_ARGUMENT = 3, GRPC_STATUS_DEADLINE_EXCEEDED = 4, GRPC_STATUS_NOT_FOUND = 5, GRPC_STATUS_ALREADY_EXISTS = 6, GRPC_STATUS_PERMISSION_DENIED = 7, GRPC_STATUS_UNAUTHENTICATED = 16, GRPC_STATUS_RESOURCE_EXHAUSTED = 8, GRPC_STATUS_FAILED_PRECONDITION = 9, GRPC_STATUS_ABORTED = 10, GRPC_STATUS_OUT_OF_RANGE = 11, GRPC_STATUS_UNIMPLEMENTED = 12, GRPC_STATUS_INTERNAL = 13, GRPC_STATUS_UNAVAILABLE = 14, GRPC_STATUS_DATA_LOSS = 15, GRPC_STATUS__DO_NOT_USE = -1 }

## Enumeration Type Documentation

enum grpc_status_code

Enumerator
GRPC_STATUS_OK |
GRPC_STATUS_CANCELLED |
GRPC_STATUS_UNKNOWN |
GRPC_STATUS_INVALID_ARGUMENT |
GRPC_STATUS_DEADLINE_EXCEEDED |
GRPC_STATUS_NOT_FOUND |
GRPC_STATUS_ALREADY_EXISTS |
GRPC_STATUS_PERMISSION_DENIED |
GRPC_STATUS_UNAUTHENTICATED |
GRPC_STATUS_RESOURCE_EXHAUSTED |
GRPC_STATUS_FAILED_PRECONDITION |
GRPC_STATUS_ABORTED |
GRPC_STATUS_OUT_OF_RANGE |
GRPC_STATUS_UNIMPLEMENTED |
GRPC_STATUS_INTERNAL |
GRPC_STATUS_UNAVAILABLE |
GRPC_STATUS_DATA_LOSS |
GRPC_STATUS__DO_NOT_USE |